# Examples

This directory contains practical examples that demonstrate how to use the SparkDQ framework in real-world scenarios.   Each example is self-contained and focuses on a specific use case, such as:

- Validating completeness of key columns
- Quarantining invalid records during ingestion
- Applying fail-fast logic for critical schema checks
- Combining validation strategies dynamically

These examples are designed to help you quickly understand how to apply the core features of SparkDQ in your own pipelines.

---

## 💡 Want to see a specific example?

If you have a specific data quality scenario in mind or would like to see how SparkDQ handles a certain pattern or edge case, feel free to open an issue!

Please describe your use case clearly – and we’ll be happy to add an example that covers your scenario.

👉 [Create a new issue](https://github.com/sparkdq-community/sparkdq/issues)

Together, we can make SparkDQ even more practical and user-friendly.
